Package net.commoble.jumbofurnace.jumbo_furnace

# Class JumboFurnaceMenu

java.lang.Object
net.minecraft.world.inventory.AbstractContainerMenu
net.commoble.jumbofurnace.jumbo_furnace.JumboFurnaceMenu

public class JumboFurnaceMenu extends net.minecraft.world.inventory.AbstractContainerMenu

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BACKPACK_ROWS`
`static final int`
`BACKPACK_SLOTS`
`static final int`
`BACKPACK_START_X`
`static final int`
`BACKPACK_START_Y`
`static final int`
`END_FUEL_SLOTS`
`static final int`
`END_INPUT_SLOTS`
`static final int`
`END_PLAYER_SLOTS`
`static final int`
`FIRST_BACKPACK_SLOT`
`static final int`
`FIRST_FUEL_SLOT`
`static final int`
`FIRST_HOTBAR_SLOT`
`static final int`
`FIRST_INPUT_SLOT`
`static final int`
`FIRST_OUTPUT_SLOT`
`static final int`
`FIRST_PLAYER_SLOT`
`static final int`
`FUEL_START_X`
`static final int`
`FUEL_START_Y`
`static final int`
`HOTBAR_SLOTS`
`static final int`
`HOTBAR_START_X`
`static final int`
`HOTBAR_START_Y`
`static final int`
`INPUT_SLOTS`
`static final int`
`INPUT_START_X`
`static final int`
`INPUT_START_Y`
`static final int`
`ORTHOFURNACE_SLOT`
`static final int`
`ORTHOFURNACE_SLOT_X`
`static final int`
`ORTHOFURNACE_SLOT_Y`
`static final int`
`OUTPUT_START_X`
`static final int`
`OUTPUT_START_Y`
`static final int`
`PLAYER_COLUMNS`
`List<InFlightRecipe>`
`recipes`
`static final int`
`SLOT_COLUMNS`
`static final int`
`SLOT_ROWS`
`static final int`
`SLOT_SPACING`
`static final String`
`TITLE`

### Fields inherited from class net.minecraft.world.inventory.AbstractContainerMenu

`CARRIED_SLOT_SIZE, containerId, QUICKCRAFT_HEADER_CONTINUE, QUICKCRAFT_HEADER_END, QUICKCRAFT_HEADER_START, QUICKCRAFT_TYPE_CHARITABLE, QUICKCRAFT_TYPE_CLONE, QUICKCRAFT_TYPE_GREEDY, SLOT_CLICKED_OUTSIDE, SLOT_SIZE, slots, SLOTS_PER_ROW`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`JumboFurnaceMenu(int id, net.minecraft.world.entity.player.Inventory playerInventory, net.minecraft.core.BlockPos pos, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler inputs, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler fuel, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler outputs, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler multiprocessUpgrades, net.minecraft.world.inventory.ContainerData furnaceData, Optional<JumboFurnaceCoreBlockEntity> serverFurnace)`

## Method Summary

Modifier and Type
Method
Description
`void`
`broadcastChanges()`
`int`
`getBurnLeftScaled()`
`int`
`getBurnTimeRemaining()`
`static JumboFurnaceMenu`
`getClientMenu(int id, net.minecraft.world.entity.player.Inventory playerInventory)`
Container factory for opening the container clientside
`int`
`getCurrentRecipeCount()`
`int`
`getItemBurnedValue()`
`static net.minecraft.world.MenuProvider`
`getServerMenuProvider(JumboFurnaceCoreBlockEntity te, net.minecraft.core.BlockPos activationPos)`
Get the server container provider for NetworkHooks.openGui
`boolean`
`isBurning()`
`net.minecraft.world.item.ItemStack`
`quickMoveStack(net.minecraft.world.entity.player.Player player, int index)`
`void`
`removed(net.minecraft.world.entity.player.Player player)`
`boolean`
`stillValid(net.minecraft.world.entity.player.Player player)`
`void`
`updateRecipes(List<InFlightRecipe> recipes)`

### Methods inherited from class net.minecraft.world.inventory.AbstractContainerMenu

`addDataSlot, addDataSlots, addInventoryExtendedSlots, addInventoryHotbarSlots, addSlot, addSlotListener, addStandardInventorySlots, broadcastFullState, canDragTo, canItemQuickReplace, canTakeItemForPickAll, checkContainerDataCount, checkContainerSize, clearContainer, clicked, clickMenuButton, findSlot, getCarried, getItems, getQuickcraftHeader, getQuickcraftMask, getQuickCraftPlaceCount, getQuickcraftType, getRedstoneSignalFromBlockEntity, getRedstoneSignalFromContainer, getSlot, getStateId, getType, incrementStateId, initializeContents, isValidQuickcraftType, isValidSlotIndex, moveItemStackTo, removeSlotListener, resetQuickCraft, resumeRemoteUpdates, sendAllDataToRemote, setCarried, setData, setItem, setRemoteCarried, setRemoteSlot, setRemoteSlotUnsafe, setSelectedBundleItemIndex, setSynchronizer, slotsChanged, stillValid, suppressRemoteUpdates, transferState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TITLE

public static final String TITLE

See Also:
  - Constant Field Values

### SLOT_SPACING

public static final int SLOT_SPACING

See Also:
  - Constant Field Values

### INPUT_START_X

public static final int INPUT_START_X

See Also:
  - Constant Field Values

### INPUT_START_Y

public static final int INPUT_START_Y

See Also:
  - Constant Field Values

### FUEL_START_X

public static final int FUEL_START_X

See Also:
  - Constant Field Values

### FUEL_START_Y

public static final int FUEL_START_Y

See Also:
  - Constant Field Values

### OUTPUT_START_X

public static final int OUTPUT_START_X

See Also:
  - Constant Field Values

### OUTPUT_START_Y

public static final int OUTPUT_START_Y

See Also:
  - Constant Field Values

### BACKPACK_START_X

public static final int BACKPACK_START_X

See Also:
  - Constant Field Values

### BACKPACK_START_Y

public static final int BACKPACK_START_Y

See Also:
  - Constant Field Values

### HOTBAR_START_X

public static final int HOTBAR_START_X

See Also:
  - Constant Field Values

### HOTBAR_START_Y

public static final int HOTBAR_START_Y

See Also:
  - Constant Field Values

### ORTHOFURNACE_SLOT_X

public static final int ORTHOFURNACE_SLOT_X

See Also:
  - Constant Field Values

### ORTHOFURNACE_SLOT_Y

public static final int ORTHOFURNACE_SLOT_Y

See Also:
  - Constant Field Values

### SLOT_ROWS

public static final int SLOT_ROWS

See Also:
  - Constant Field Values

### SLOT_COLUMNS

public static final int SLOT_COLUMNS

See Also:
  - Constant Field Values

### BACKPACK_ROWS

public static final int BACKPACK_ROWS

See Also:
  - Constant Field Values

### PLAYER_COLUMNS

public static final int PLAYER_COLUMNS

See Also:
  - Constant Field Values

### INPUT_SLOTS

public static final int INPUT_SLOTS

See Also:
  - Constant Field Values

### BACKPACK_SLOTS

public static final int BACKPACK_SLOTS

See Also:
  - Constant Field Values

### HOTBAR_SLOTS

public static final int HOTBAR_SLOTS

See Also:
  - Constant Field Values

### FIRST_INPUT_SLOT

public static final int FIRST_INPUT_SLOT

See Also:
  - Constant Field Values

### FIRST_FUEL_SLOT

public static final int FIRST_FUEL_SLOT

See Also:
  - Constant Field Values

### FIRST_OUTPUT_SLOT

public static final int FIRST_OUTPUT_SLOT

See Also:
  - Constant Field Values

### ORTHOFURNACE_SLOT

public static final int ORTHOFURNACE_SLOT

See Also:
  - Constant Field Values

### FIRST_HOTBAR_SLOT

public static final int FIRST_HOTBAR_SLOT

See Also:
  - Constant Field Values

### FIRST_BACKPACK_SLOT

public static final int FIRST_BACKPACK_SLOT

See Also:
  - Constant Field Values

### FIRST_PLAYER_SLOT

public static final int FIRST_PLAYER_SLOT

See Also:
  - Constant Field Values

### END_INPUT_SLOTS

public static final int END_INPUT_SLOTS

See Also:
  - Constant Field Values

### END_FUEL_SLOTS

public static final int END_FUEL_SLOTS

See Also:
  - Constant Field Values

### END_PLAYER_SLOTS

public static final int END_PLAYER_SLOTS

See Also:
  - Constant Field Values

### recipes

public List<InFlightRecipe> recipes

## Constructor Details

### JumboFurnaceMenu

protected JumboFurnaceMenu(int id, net.minecraft.world.entity.player.Inventory playerInventory, net.minecraft.core.BlockPos pos, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler inputs, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler fuel, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler outputs, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler multiprocessUpgrades, net.minecraft.world.inventory.ContainerData furnaceData, Optional<JumboFurnaceCoreBlockEntity> serverFurnace)

## Method Details

### getClientMenu

public static JumboFurnaceMenu getClientMenu(int id, net.minecraft.world.entity.player.Inventory playerInventory)
Container factory for opening the container clientside

### getServerMenuProvider

public static net.minecraft.world.MenuProvider getServerMenuProvider(JumboFurnaceCoreBlockEntity te, net.minecraft.core.BlockPos activationPos)
Get the server container provider for NetworkHooks.openGui

Parameters:
  `te` - The TileEntity of the furnace core
  `activationPos` - The position of the block that the player actually activated to open the container (may be different than te.getPos)
Returns:

### removed

public void removed(net.minecraft.world.entity.player.Player player)

Overrides:
  `removed` in class `net.minecraft.world.inventory.AbstractContainerMenu`

### stillValid

public boolean stillValid(net.minecraft.world.entity.player.Player player)

Specified by:
  `stillValid` in class `net.minecraft.world.inventory.AbstractContainerMenu`

### quickMoveStack

public net.minecraft.world.item.ItemStack quickMoveStack(net.minecraft.world.entity.player.Player player, int index)

Specified by:
  `quickMoveStack` in class `net.minecraft.world.inventory.AbstractContainerMenu`

### getBurnTimeRemaining

public int getBurnTimeRemaining()

### getItemBurnedValue

public int getItemBurnedValue()

### getCurrentRecipeCount

public int getCurrentRecipeCount()

### getBurnLeftScaled

public int getBurnLeftScaled()

### isBurning

public boolean isBurning()

### broadcastChanges

public void broadcastChanges()

Overrides:
  `broadcastChanges` in class `net.minecraft.world.inventory.AbstractContainerMenu`

### updateRecipes

public void updateRecipes(List<InFlightRecipe> recipes)